Bug 826698 - AttributeError: 'NoneType' object has no attribute 'endswith'
AttributeError: 'NoneType' object has no attribute 'endswith'
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: 827270 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-05-30 15:39 EDT by Michal Schmidt
Modified: 2013-07-31 19:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 19:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: anaconda-tb-qImI8L (195.64 KB, text/plain)
2012-05-30 15:39 EDT, Michal Schmidt
no flags Details

  None (edit)
Description Michal Schmidt 2012-05-30 15:39:43 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-qImI8L
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Wed 30 May 2012 07:38:35 PM UTC
version:        17

anaconda-tb-qImI8L: Text file, 200339 bytes

:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 3492, in path
:    while mountpoint.endswith("/"):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 918, in _setFormat
:    format = getFormat(None, device=self.path, exists=self.exists)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 932, in <lambda>
:    lambda d,f: d._setFormat(f),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 481, in __init__
:    self.format = format
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 3470, in __init__
:    exists=exists, parents=parents)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1990, in _parseOneLine
:    device = DirectoryDevice(devspec, parents=parents, exists=True)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2112, in parseFSTab
:    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1676, in mountExistingSystem
:    fsset.parseFSTab(anaconda=anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
:    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'endswith'

Comment 1 Michal Schmidt 2012-05-30 15:39:47 EDT
Created attachment 587833 [details]
File: anaconda-tb-qImI8L
Comment 2 Jesse Keating 2012-05-31 21:27:37 EDT
*** Bug 827270 has been marked as a duplicate of this bug. ***
Comment 3 Steve Grubb 2012-06-09 10:57:00 EDT
For anyone needing to migrate to F17, what are we supposed to do? The Fedora page on migrating via yum does not recommend the yum distro-sync method because of the move to consolidate everything under /usr.

Will there be an update image released? Thanks.
Comment 4 Michal Schmidt 2012-06-11 08:57:08 EDT
(In reply to comment #3)
> For anyone needing to migrate to F17, what are we supposed to do? The Fedora
> page on migrating via yum does not recommend the yum distro-sync method
> because of the move to consolidate everything under /usr.

FWIW, despite the warnings, I found the yum method to be the most reliable of all the upgrade possibilities. By following the UsrMove instructions on the wiki anyone can do it. Both Anaconda and preupgrade have failed me in several ways, leaving me in difficult to fix situations.

This particular bug in Anaconda can be avoided by temporarily commenting out some of the mountpoints in fstab.
Comment 5 David Lehman 2012-06-29 19:20:01 EDT
My advice for you both is to comment out your bind mounts in /etc/fstab, do the upgrade, and then uncomment the bind mounts.

Whichever one of you has a bunch /dev/mdX in your /etc/fstab, that's probably not going to work, either. You should use UUIDs for that since mdadm uses odd naming/numbering at install time.
Comment 6 Fedora End Of Life 2013-07-03 18:12:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 19:54:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.